Get all subscription details
curl --request GET \
--url https://api.raul.ugps.io/api/v1/subscription_details/all \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.raul.ugps.io/api/v1/subscription_details/all"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.raul.ugps.io/api/v1/subscription_details/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"subscription_detail_id": "<string>",
"subscription_plan_id": {},
"gps_detail_id": {},
"client_id": {},
"vehicle_id": {},
"fecha_inicio": {},
"fecha_termino": {},
"subscription_status_id": {},
"subscription_frequency_id": {},
"creation_date": {},
"update_date": {},
"subscriptionPlan": {
"id": 123,
"subscription_currency_id": 123,
"name": {},
"currency_name": {},
"currency_value": {},
"description": {}
},
"subscriptionStatus": {
"subscription_status_id": 123,
"name": "<string>"
},
"subscriptionFrequency": {
"id": 123,
"name": "<string>"
},
"vehicle": {
"id": "<string>",
"license_plate": {},
"name": {},
"model": {},
"brand": {}
},
"child_client_id": {},
"childClient": {
"client_id": "<string>",
"client_name": "<string>"
}
}
]Subscription Details
Get all subscription details
Operacion: Get all subscription details.
GET
/
api
/
v1
/
subscription_details
/
all
Get all subscription details
Authorizations
Bearer token authentication
Response
200 - application/json
List of all subscriptions
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Child client ID if assigned to a subsidiary
Child client info if assigned
Show child attributes
Show child attributes
⌘I